#include "IdGenerator.hpp"

bool init = false;
std::mt19937 rnd;
auto gen = uuids::uuid_random_generator(rnd);

uuids::uuid TSE::GenerateRandomUUID()
{
    if(!init)
    {
      InitRandomIDs();
      init = true;  
    } 
    return gen();
}

void TSE::InitRandomIDs()
{
    rnd = std::mt19937();
    gen = uuids::uuid_random_generator(rnd);
}
